package com.bocloud.cmp.model;

import java.util.Date;

/**
 * 集群业务类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.12.28
 */
public class HostSystemBean {
    private Long id;
    private String uuid;
    private Long vendorId; // 云供应商ID
    private Date gmtExpired;// 过期时间
    private Integer cpuNum;// 宿主机（物理机）cpu核数
    private Long cpuTotal;
    private Long memTotal;
    private Long diskTotal;
    private Long cpuUsed;
    private Long memUsed;
    private Long diskUsed;
    private Long vdcId;
    private Long clusterId;
    private String category;
    private String catalog;
    private String cpuModel;
    private String vendor;
    private Integer vmNum;// 宿主机（物理机）上的云主机数量
    private Integer templateNum;// 宿主机（物理机）上的云主机数量
    private String powerState;// 宿主机（物理机）电源状态
    private Integer datastoreNum;// 宿主机（物理机）数据存储数量
    private Integer cpuCore;// 宿主机（物理机）cpu数量
    private String name;
    private String remark;
    private String hostIp;// 宿主机IP
    private String status;// 状态
    private Boolean maintained;// 宿主机（物理机）是否处于维护模式
    private Boolean connected;// 宿主机是否处于连接状态

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the gmtExpired
     */
    public Date getGmtExpired() {
        return gmtExpired;
    }

    /**
     * @param gmtExpired the gmtExpired to set
     */
    public void setGmtExpired(Date gmtExpired) {
        this.gmtExpired = gmtExpired;
    }

    /**
     * @return the cpuNum
     */
    public Integer getCpuNum() {
        return cpuNum;
    }

    /**
     * @param cpuNum the cpuNum to set
     */
    public void setCpuNum(Integer cpuNum) {
        this.cpuNum = cpuNum;
    }

    /**
     * @return the cpuTotal
     */
    public Long getCpuTotal() {
        return cpuTotal;
    }

    /**
     * @param cpuTotal the cpuTotal to set
     */
    public void setCpuTotal(Long cpuTotal) {
        this.cpuTotal = cpuTotal;
    }

    /**
     * @return the memTotal
     */
    public Long getMemTotal() {
        return memTotal;
    }

    /**
     * @param memTotal the memTotal to set
     */
    public void setMemTotal(Long memTotal) {
        this.memTotal = memTotal;
    }

    /**
     * @return the diskTotal
     */
    public Long getDiskTotal() {
        return diskTotal;
    }

    /**
     * @param diskTotal the diskTotal to set
     */
    public void setDiskTotal(Long diskTotal) {
        this.diskTotal = diskTotal;
    }

    /**
     * @return the cpuUsed
     */
    public Long getCpuUsed() {
        return cpuUsed;
    }

    /**
     * @param cpuUsed the cpuUsed to set
     */
    public void setCpuUsed(Long cpuUsed) {
        this.cpuUsed = cpuUsed;
    }

    /**
     * @return the memUsed
     */
    public Long getMemUsed() {
        return memUsed;
    }

    /**
     * @param memUsed the memUsed to set
     */
    public void setMemUsed(Long memUsed) {
        this.memUsed = memUsed;
    }

    /**
     * @return the diskUsed
     */
    public Long getDiskUsed() {
        return diskUsed;
    }

    /**
     * @param diskUsed the diskUsed to set
     */
    public void setDiskUsed(Long diskUsed) {
        this.diskUsed = diskUsed;
    }

    /**
     * @return the vdcId
     */
    public Long getVdcId() {
        return vdcId;
    }

    /**
     * @param vdcId the vdcId to set
     */
    public void setVdcId(Long vdcId) {
        this.vdcId = vdcId;
    }

    /**
     * @return the clusterId
     */
    public Long getClusterId() {
        return clusterId;
    }

    /**
     * @param clusterId the clusterId to set
     */
    public void setClusterId(Long clusterId) {
        this.clusterId = clusterId;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * @return the catalog
     */
    public String getCatalog() {
        return catalog;
    }

    /**
     * @param catalog the catalog to set
     */
    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    /**
     * @return the cpuModel
     */
    public String getCpuModel() {
        return cpuModel;
    }

    /**
     * @param cpuModel the cpuModel to set
     */
    public void setCpuModel(String cpuModel) {
        this.cpuModel = cpuModel;
    }

    /**
     * @return the vendor
     */
    public String getVendor() {
        return vendor;
    }

    /**
     * @param vendor the vendor to set
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    /**
     * @return the vmNum
     */
    public Integer getVmNum() {
        return vmNum;
    }

    /**
     * @param vmNum the vmNum to set
     */
    public void setVmNum(Integer vmNum) {
        this.vmNum = vmNum;
    }

    /**
     * @return the templateNum
     */
    public Integer getTemplateNum() {
        return templateNum;
    }

    /**
     * @param templateNum the templateNum to set
     */
    public void setTemplateNum(Integer templateNum) {
        this.templateNum = templateNum;
    }

    /**
     * @return the powerState
     */
    public String getPowerState() {
        return powerState;
    }

    /**
     * @param powerState the powerState to set
     */
    public void setPowerState(String powerState) {
        this.powerState = powerState;
    }

    /**
     * @return the datastoreNum
     */
    public Integer getDatastoreNum() {
        return datastoreNum;
    }

    /**
     * @param datastoreNum the datastoreNum to set
     */
    public void setDatastoreNum(Integer datastoreNum) {
        this.datastoreNum = datastoreNum;
    }

    /**
     * @return the cpuCore
     */
    public Integer getCpuCore() {
        return cpuCore;
    }

    /**
     * @param cpuCore the cpuCore to set
     */
    public void setCpuCore(Integer cpuCore) {
        this.cpuCore = cpuCore;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the hostIp
     */
    public String getHostIp() {
        return hostIp;
    }

    /**
     * @param hostIp the hostIp to set
     */
    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the maintained
     */
    public Boolean getMaintained() {
        return maintained;
    }

    /**
     * @param maintained the maintained to set
     */
    public void setMaintained(Boolean maintained) {
        this.maintained = maintained;
    }

    /**
     * @return the connected
     */
    public Boolean getConnected() {
        return connected;
    }

    /**
     * @param connected the connected to set
     */
    public void setConnected(Boolean connected) {
        this.connected = connected;
    }
}
